Package org.apache.struts2.spring

# Class StrutsSpringObjectFactory

java.lang.Object
org.apache.struts2.ObjectFactory
org.apache.struts2.spring.SpringObjectFactory
org.apache.struts2.spring.StrutsSpringObjectFactory

All Implemented Interfaces:
  `Serializable`, `org.springframework.beans.factory.Aware`, `org.springframework.context.ApplicationContextAware`

public class StrutsSpringObjectFactory extends SpringObjectFactory

Struts object factory that integrates with Spring.

Spring should be loaded using a web context listener `org.springframework.web.context.ContextLoaderListener` defined in `web.xml`.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.spring.SpringObjectFactory

  `appContext, autowireStrategy, autoWiringFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsSpringObjectFactory()`
  `StrutsSpringObjectFactory(String autoWire, String alwaysAutoWire, String useClassCacheStr, String enableAopSupport, jakarta.servlet.ServletContext servletContext, String devMode, Container container)`
  Constructs the spring object factory

- ## Method Summary

  ### Methods inherited from class org.apache.struts2.spring.SpringObjectFactory

  `autoWireBean, autoWireBean, buildBean, buildBean, findAutoWiringBeanFactory, getAutowireStrategy, getClassInstance, isNoArgConstructorRequired, setAlwaysRespectAutowireStrategy, setApplicationContext, setApplicationContextPath, setAutowireStrategy, setEnableAopSupport, setUseClassCache`

  ### Methods inherited from class org.apache.struts2.ObjectFactory

  `buildAction, buildBean, buildConverter, buildInterceptor, buildResult, buildUnknownHandler, buildValidator, injectInternalBeans, setActionFactory, setClassLoader, setContainer, setConverterFactory, setInterceptorFactory, setResultFactory, setUnknownHandlerFactory, setValidatorFactory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StrutsSpringObjectFactory

    public StrutsSpringObjectFactory()

  - ### StrutsSpringObjectFactory

    public StrutsSpringObjectFactory(String autoWire, String alwaysAutoWire, String useClassCacheStr, String enableAopSupport, jakarta.servlet.ServletContext servletContext, String devMode, Container container)
    Constructs the spring object factory
    Parameters:
      `autoWire` - The type of autowiring to use
      `alwaysAutoWire` - Whether to always respect the autowiring or not
      `useClassCacheStr` - Whether to use the class cache or not
      `enableAopSupport` - enable AOP support
      `servletContext` - The servlet context
      `devMode` - development mode
    Since:
      2.1.3